АдресЭлектроннойПочтыСоответствуетТребованиям
страницаПроверяет email-адрес на соответствие требованиям стандартов RFC 5321, RFC 5322, а также RFC 5335, RFC 5336 и RFC 3696. Кроме того, функция ограничивает использование спецсимволов.
Синтаксис
Функция АдресЭлектроннойПочтыСоответствуетТребованиям(Знач Адрес, РазрешитьЛокальныеАдреса = Ложь) ЭкспортПараметры
Адрес— Строка - проверяемый email.РазрешитьЛокальныеАдреса— Булево - не выдавать ошибку в случае отсутствия зоны домена в адресе.
Возвращаемое значение
Булево - Истина, если ошибок нет.
Пример вызова
Результат = ОбщегоНазначенияКлиентСервер.АдресЭлектроннойПочтыСоответствуетТребованиям(Адрес, РазрешитьЛокальныеАдреса)Доступность
Сервер, Тонкий клиент, Толстый клиент, Внешнее соединение